# Interface DataSender

All Known Subinterfaces:
  `MultiPointSender`

All Known Implementing Classes:
  `AbstractSender, BioSender, MultipointBioSender, NioSender, ParallelNioSender, PooledMultiSender, PooledParallelSender, PooledSender`

public interface DataSender

## Method Summary

Modifier and Type
Method
Description
`void`
`connect()`
Connect.
`void`
`disconnect()`
Disconnect.
`long`
`getConnectTime()`
`int`
`getRequestCount()`
`boolean`
`isConnected()`
`boolean`
`keepalive()`
Keepalive.
`void`
`setKeepAliveCount(int maxRequests)`
Set the amount of requests during which to keepalive.
`void`
`setKeepAliveTime(long keepAliveTimeInMs)`
Set the keepalive time.
`void`
`setRxBufSize(int size)`
Set the receive buffer size.
`void`
`setTimeout(long timeout)`
Set the socket timeout.
`void`
`setTxBufSize(int size)`
Set the transmit buffer size.

## Method Details

### connect

void connect() throws IOException
Connect.

Throws:
  `IOException` - when an error occurs

### disconnect

void disconnect()
Disconnect.

### isConnected

boolean isConnected()

Returns:
  `true` if connected

### setRxBufSize

void setRxBufSize(int size)
Set the receive buffer size.

Parameters:
  `size` - the new size

### setTxBufSize

void setTxBufSize(int size)
Set the transmit buffer size.

Parameters:
  `size` - the new size

### keepalive

boolean keepalive()
Keepalive.

Returns:
  `true` if kept alive

### setTimeout

void setTimeout(long timeout)
Set the socket timeout.

Parameters:
  `timeout` - in ms

### setKeepAliveCount

void setKeepAliveCount(int maxRequests)
Set the amount of requests during which to keepalive.

Parameters:
  `maxRequests` - the amount of requests

### setKeepAliveTime

void setKeepAliveTime(long keepAliveTimeInMs)
Set the keepalive time.

Parameters:
  `keepAliveTimeInMs` - the time in ms

### getRequestCount

int getRequestCount()

Returns:
  the request count

### getConnectTime

long getConnectTime()

Returns:
  the time to connect